> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Endpoints

> RPC endpoints and connection details for Solana Privacy Rings.

## Beta Endpoints

Connect to the RPC, indexer and prover with a single [Helius API key](https://dashboard.helius.dev/).

> [tab] Devnet
>
> ```text theme={"system"}
> https://devnet.helius-rpc.com/?api-key=<API_KEY>
> ```
>
> Fund the payer with [devnet SOL](https://www.helius.dev/docs/rpc/devnet-sol.md).

> [tab] Mainnet
>
> ```text theme={"system"}
> https://mainnet.helius-rpc.com/?api-key=<API_KEY>
> ```

* **Solana RPC** – Returns the public balance and submits transactions to the Solana network.
* **Indexer** – Fetches encrypted state.
* **Prover** – Generates ZK proofs.

For direct indexer calls, use `https://devnet.helius-rpc.com/v1/spr/{method}?api-key=YOUR_API_KEY`. The JSON-RPC `method` must match the URL path. The Solana Privacy Rings section in the API Reference lists request parameters, response schemas, and pagination.

**For Custom Rings use:**

| Service | Endpoint | Notes |
| - | - | - |
| Ring RPC | `https://d24brah9h1i4q9.cloudfront.net` | Ring RPC endpoint |

**Localnet:**

`zolana dev start`. RPC port `:8899`, indexer port `:8784`, prover port `:3001`.

## Create an RPC connection

> [tab] TypeScript
>
> > [tab] Devnet
> >
> > ```ts theme={"system"}
> > import { createZolanaClient } from "@heliuslabs/zolana";
> >
> > const client = await createZolanaClient({
> >   solanaRpcUrl: "https://devnet.helius-rpc.com/?api-key=YOUR_API_KEY",
> > });
> > ```
>
> > [tab] Localnet
> >
> > ```bash theme={"system"}
> > cargo install --git https://github.com/helius-labs/zolana --tag v0.5.0-alpha zolana-cli
> > zolana dev start
> > ```
> >
> > ```ts theme={"system"}
> > import { createZolanaClient } from "@heliuslabs/zolana";
> >
> > const client = await createZolanaClient({});
> > ```

> [tab] Rust
>
> > [tab] Devnet
> >
> > ```rust theme={"system"}
> > use zolana_client::prover::tee;
> > use zolana_client::{SolanaRpc, ZolanaClient};
> >
> > let url = "https://devnet.helius-rpc.com/?api-key=YOUR_API_KEY";
> > let client = ZolanaClient::from_urls(
> >     SolanaRpc::new(url),
> >     "https://d21d98xh5lgv3b.cloudfront.net",
> >     tee::DEFAULT_PROVER_URL,
> > )?;
> > ```
>
> > [tab] Localnet
> >
> > ```bash theme={"system"}
> > cargo install --git https://github.com/helius-labs/zolana --tag v0.5.0-alpha zolana-cli
> > zolana dev start
> > ```
> >
> > ```rust theme={"system"}
> > use zolana_client::{SolanaRpc, ZolanaClient};
> >
> > let client = ZolanaClient::from_urls(
> >     SolanaRpc::new("http://127.0.0.1:8899"),
> >     "http://127.0.0.1:8784",
> >     "http://127.0.0.1:3001",
> > )?;
> > ```

## Related Guides

> [card] [SDK](https://www.helius.dev/docs/privacy/sdk.md)

> [card] [Addresses](https://www.helius.dev/docs/privacy/addresses.md)

## Didn't find what you were looking for?

Reach out! [Telegram](https://t.me/tilo_light) | [E-Mail](mailto:sales@helius.xyz) | [Contact](https://www.helius.dev/contact)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.